org.jboss.jca.embedded.dsl.ironjacamar13.api

## Interface ConfigPropertyType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ConfigPropertyType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `config-propertyType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the `name` attribute
    `java.lang.String` | `getText()` Returns the body text of the element `config-propertyType`
    `ConfigPropertyType<T>` | `name(java.lang.String name)` Sets the `name` attribute
    `ConfigPropertyType<T>` | `removeName()` Removes the `name` attribute
    `ConfigPropertyType<T>` | `text(java.lang.String value)` Sets the body text for the element `config-propertyType`

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### text

          ConfigPropertyType<T> text(java.lang.String value)

      Sets the body text for the element `config-propertyType`
      Parameters:
        `configPropertyType` - the value for the body text `config-propertyType`
      Returns:
        the current instance of `ConfigPropertyType`

    - #### getText

          java.lang.String getText()

      Returns the body text of the element `config-propertyType`
      Returns:
        the value defined for the text `config-propertyType`

    - #### name

          ConfigPropertyType<T> name(java.lang.String name)

      Sets the `name` attribute
      Parameters:
        `name` - the value for the attribute `name`
      Returns:
        the current instance of `ConfigPropertyType`

    - #### getName

          java.lang.String getName()

      Returns the `name` attribute
      Returns:
        the value defined for the attribute `name`

    - #### removeName

          ConfigPropertyType<T> removeName()

      Removes the `name` attribute
      Returns:
        the current instance of `ConfigPropertyType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)